Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.wire.magicnumber
Class MagicNumberTransportLayer.VerifyHeaderReceiver

    java.lang.Object
      rice.selector.TimerTask
          org.mpisws.p2p.transport.wire.magicnumber.MagicNumberTransportLayer.VerifyHeaderReceiver

All Implemented Interfaces:
  java.lang.Comparable, P2PSocketReceiver<Identifier>, Cancellable, CancellableTask

Enclosing class:
  MagicNumberTransportLayer<Identifier>

    protected class MagicNumberTransportLayer.VerifyHeaderReceiver

extends TimerTask
implements P2PSocketReceiver<Identifier>

Field Summary

Fields inherited from class rice.selector.TimerTask
`cancelled, fixedRate, period, selector, seq`

Constructor Summary
`MagicNumberTransportLayer.VerifyHeaderReceiver(P2PSocket<Identifier> s)`

Method Summary
`void` | `receiveException(P2PSocket<Identifier> socket, java.lang.Exception ioe)` Called when there is an error
`void` | `receiveSelectResult(P2PSocket<Identifier> socket, boolean canRead, boolean canWrite)` Called when a socket is available for read/write
`void` | `run()`
`java.lang.String` | `toString()`

Methods inherited from class rice.selector.TimerTask
`cancel, compareTo, execute, isCancelled, scheduledExecutionTime, setNextExecutionTime, setSelectorManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MagicNumberTransportLayer.VerifyHeaderReceiver

    public MagicNumberTransportLayer.VerifyHeaderReceiver(P2PSocket<Identifier> s)

Method Detail

### receiveException

    public void receiveException(P2PSocket<Identifier> socket,
                                 java.lang.Exception ioe)

  Description copied from interface: `P2PSocketReceiver`
  Called when there is an error

  Specified by:
    `receiveException` in interface `P2PSocketReceiver<Identifier>`

### receiveSelectResult

    public void receiveSelectResult(P2PSocket<Identifier> socket,
                                    boolean canRead,
                                    boolean canWrite)
                             throws java.io.IOException

  Description copied from interface: `P2PSocketReceiver`
  Called when a socket is available for read/write

  Specified by:
    `receiveSelectResult` in interface `P2PSocketReceiver<Identifier>`
  Throws:
    `java.io.IOException`

### run

    public void run()

  Specified by:
    `run` in interface `CancellableTask`
  Specified by:
    `run` in class `TimerTask`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.